---
title: "Release Notes"
date: 2020-03-23T18:17:04-03:00
draft: false
---

:toc: macro
:toclevels: 4
:toc-title: Releases
:sectlinks:

For additional information check our https://www.youtube.com/channel/UCcm2NzDN_UCZKk2yYmOpc5w[sprint demo videos] and https://medium.com/kialiproject[blogs].

'''

toc::[]

== 1.34.0
Sprint Release: May 7th, 2021

Features:

* https://github.com/kiali/kiali/issues/3907[Refine message for remote Kiali]
* https://github.com/kiali/kiali/issues/3958[Improve Application/Workloads/Services list pages layout]
* https://github.com/kiali/kiali/issues/3888[Update "Visualizing your Mesh" Istio documentation]
* https://github.com/kiali/kiali/issues/3145[Add an entry in the FAQ about when a namespace is not listed in Kiali]
* https://github.com/kiali/kiali/issues/3944[Medium post for Kiali v1.31 to v1.33]
* https://github.com/kiali/kiali/issues/3635[Structure the subview in the Envoy Config modal]
* https://github.com/kiali/kiali/issues/3574[More friendly error messages in OIDC authorization-code flow]
* https://github.com/kiali/kiali/issues/1794[Move the state phase to an icon]
* https://github.com/kiali/kiali/issues/3294[(OpenId) AKS + AAD integration with Kiali's OpenId]
* https://github.com/kiali/kiali/issues/3892[Kiali reconciliation is still very slow when having hundreds of namespaces in accessible_namespaces]
* https://github.com/kiali/kiali/issues/3817[Workload/Service Overview tabs: Move subtables to cards]
* https://github.com/kiali/kiali/issues/3491[Publish the Kiali API docs to Github Pages]
* https://github.com/kiali/kiali/issues/3879[More cluster badging needed]
* https://github.com/kiali/kiali/issues/3874[OpenID integration issue with large tokens (caused by a long list of groups)]

Fixes:

* https://github.com/kiali/kiali/issues/3982[UI crash in GraphToolbar]
* https://github.com/kiali/kiali/issues/3960[Rename "Target Protocol" to "Target Port" in ServiceEntry wizard]
* https://github.com/kiali/kiali/issues/3974[Application Traffic - some outbound traffic is not shown]
* https://github.com/kiali/kiali/issues/3966[Potential regression in one of the k8s APIs]
* https://github.com/kiali/kiali/issues/3964[fatal error: concurrent map read and map write on IsNamespaceCached]
* https://github.com/kiali/kiali/issues/3976[(operator) make sure we use community.kubernetes.k8s tasks correctly]
* https://github.com/kiali/kiali/issues/3973[Application details - Workloads are shown wrongly]
* https://github.com/kiali/kiali/issues/3938[Service entries should be assigned to the same cluster as the relevant service]
* https://github.com/kiali/kiali/issues/3968[need to change the default kiali server image installed by the operator]
* https://github.com/kiali/kiali/issues/3955[Show cluster names when the number of cluster is > 1]
* https://github.com/kiali/kiali/issues/3830[Workload_health_replica_set endpoint error]
* https://github.com/kiali/kiali/issues/3939[Service tracing tab display options resulting in error ]
* https://github.com/kiali/kiali/issues/3917[Idle nodes are not synced with traffic nodes]
* https://github.com/kiali/kiali/issues/3936[kiali controlplane role still exists even after removing the CR]
* https://github.com/kiali/kiali/issues/3873[Incoming/Outgoing traffic seems incorrect on NS detail]
* https://github.com/kiali/kiali/issues/3923[The istio-sidecar-injector config map name should be configurable]
* https://github.com/kiali/kiali/issues/3821[Need to specify namespace in error message "Graph not loading: configmaps "istio" not found']
* https://github.com/kiali/kiali/issues/3921[(helm) server helm chart for affinity is wrong]
* https://github.com/kiali/kiali/issues/3913[Cannot read property 'Kubernetes' of undefined in UI]
* https://github.com/kiali/kiali/issues/3911[Graph navigation fails]
* https://github.com/kiali/kiali/issues/3896[Graph error: Namespace is not accessible for Kiali]

== 1.33.1
Patch Release: April 20th, 2021

Sprint Release: April 16th, 2021

Notes:

Kiali v1.33.1 replaces v1.33.0.  Kiali v1.33.0 should not be used due to https://github.com/kiali/kiali/issues/3913[this bug].

Features:

* https://github.com/kiali/kiali/issues/3874[OpenID integration issue with large tokens (caused by a long list of groups)]
* https://github.com/kiali/kiali/issues/3878[does Kiali need patch permission for pods/proxy?]
* https://github.com/kiali/kiali/issues/3631[Possibility to overwrite component status url]
* https://github.com/kiali/kiali/issues/3717[Remove graph navigations to details page for nodes not present in current cluster]
* https://github.com/kiali/kiali/issues/3884[document how to enable operator features like profiler and other things]
* https://github.com/kiali/kiali/issues/3877[does Kiali need access to HPA resources?]
* https://github.com/kiali/kiali/issues/3696[Link to Application's Full Screen Graph From Application Page]
* https://github.com/kiali/kiali/issues/3865[(operator) do not allow ad hoc images in Kiali CR]
* https://github.com/kiali/kiali/issues/3535[Add tooltip on "Missing Sidecar" message]
* https://github.com/kiali/kiali/issues/3675[Graph UX enhancements for namespace and cluster boxing]
* https://github.com/kiali/kiali/issues/3346[Showing deep dive envoy config at workload level]
* https://github.com/kiali/kiali/issues/3836[Update "secret" comments in sample Kiali CR]
* https://github.com/kiali/kiali/issues/2775[Metrics page: more details & links from spans]
* https://github.com/kiali/kiali/issues/3826[Update cache for workloads]
* https://github.com/kiali/kiali/issues/3622[Migrate front-end to Yarn 2]

Fixes:

* https://github.com/kiali/kiali/issues/3913[Cannot read property 'Kubernetes' of undefined in UI]
* https://github.com/kiali/kiali/issues/3896[Graph error: Namespace is not accessible for Kiali]
* https://github.com/kiali/kiali/issues/3725[Istio gateway not found when deployed as DaemonSet]
* https://github.com/kiali/kiali/issues/3818[DR with wrong host - Link is shown in details.]
* https://github.com/kiali/kiali/issues/3861[Block icon is displayed when standing on the info for display options]
* https://github.com/kiali/kiali/issues/3844[In Metrics spans disappear in mouseOver]
* https://github.com/kiali/kiali/issues/3814[Span detail can't be open when navigating from Graph]
* https://github.com/kiali/kiali/issues/3843[(docs) fix faq to explain what prometheus query to test with]

== 1.32.0
Sprint Release: March 26th, 2021

Features:

* https://github.com/kiali/kiali/issues/2281[Add Focus Animation when using back arrow from zoomed graph view]
* https://github.com/kiali/kiali/issues/3763[Add support for ServiceEntry objects from Create New Istio Config form]
* https://github.com/kiali/kiali/issues/3807[move to different operator base image quay repo]
* https://github.com/kiali/kiali/issues/3781[Update the "Running Standalone" section in the README]
* https://github.com/kiali/kiali/issues/3707[mTLS locks confusion when mTLS is strict at mesh-level]
* https://github.com/kiali/kiali/issues/3794[Broken link to version requirements in the readme]
* https://github.com/kiali/kiali/issues/3526[(multi-cluster) Discover other Kiali instances and provide a way to jump to those other instances]
* https://github.com/kiali/kiali/issues/3722[Move to golang 1.16]
* https://github.com/kiali/kiali/issues/3769[DaemonSet workloads seem broken]
* https://github.com/kiali/kiali/issues/3682[Istio component status - cover the scenario where users sets the replicas to 0]
* https://github.com/kiali/kiali/issues/2731[Links to grafana dashboards from overview page]
* https://github.com/kiali/kiali/issues/2060[Smooth out Kiali Charts]
* https://github.com/kiali/kiali/issues/3673[Improve Graph generation/Better handle single requests that generate multiple destination telemetry entries]
* https://github.com/kiali/kiali/issues/2759[Filter by Istio Type Dropdown - Put a scroll in dropdown values]

Fixes:

* https://github.com/kiali/kiali/issues/3812[(helm) server chart doesn't have namespace in the dashboard templates]
* https://github.com/kiali/kiali/issues/3761[Create HTTPS Gateways from IstioConfig Form misses TLS settings]
* https://github.com/kiali/kiali/issues/3762[OIDC Auth Redirect not working]
* https://github.com/kiali/kiali/issues/3755[Traffic Animation missed when switched from Graph type]
* https://github.com/kiali/kiali/issues/3787[(Performance) Significant performance drop on /api/namespaces/graph endpoint]
* https://github.com/kiali/kiali/issues/3782[Cannot load the graph: deployments.apps "istiod" not found]
* https://github.com/kiali/kiali/issues/3776[Uppercase app label crashes app detail view - Kiali v1.31]
* https://github.com/kiali/kiali/issues/3760[(operator) conversion of node_selector to snake_case prevents us from targeting specific nodes]
* https://github.com/kiali/kiali/issues/3693[Metrics Tab don't load unless Traces tab is loaded first]
* https://github.com/kiali/kiali/issues/3756[Overview List View does not show config status]
* https://github.com/kiali/kiali/issues/3757[Overview Health Filter Broken]

== 1.31.0
Sprint Release: March 5th, 2021

Features:

* https://github.com/kiali/kiali/issues/2218[Graph Side panel validations click should take me to validations]
* https://github.com/kiali/kiali/issues/3718[Discover Kiali instances on remote clusters]
* https://github.com/kiali/kiali/issues/3576[confusing "idle" UI components]
* https://github.com/kiali/kiali/issues/3600[Collapse 'managedFields' in Istio Config details]
* https://github.com/kiali/kiali/issues/2582[Enable Envoy dashboard by default]
* https://github.com/kiali/kiali/issues/2949[Health: show workloads as idle when there's no request]
* https://github.com/kiali/kiali/issues/1370[Add validation for "exportTo" fields of VirtualService, ServiceEntry]
* https://github.com/kiali/kiali/issues/3689[show periodic status updates in kiali CR to track operator progress]
* https://github.com/kiali/kiali/issues/3514[Jaeger client: switch to gRPC/protobuf]

Fixes:

* https://github.com/kiali/kiali/issues/3660[Performance problems with custom dashboards discovery]
* https://github.com/kiali/kiali/issues/3719[Overview Filter Healthy - Shows Failure and Degraded as well]
* https://github.com/kiali/kiali/issues/3737[invalid parameter \"match()\": 1:44: parse error: unexpected character inside braces: '.'"]
* https://github.com/kiali/kiali/issues/3697[KIA0105 incorrectly raised when PeerAuthentication is set at the workload level]
* https://github.com/kiali/kiali/issues/3698[Traces display options are shown then Jaeger is not configured.]
* https://github.com/kiali/kiali/issues/3728[Tracing in graph: service entries sometimes missing in traces]
* https://github.com/kiali/kiali/issues/3035[K-charted tooltip on legend is confusing]
* https://github.com/kiali/kiali/issues/3709[Regex matching accessible namespaces is too broad]

== 1.30.0
Sprint Release: February 12th, 2021

Features:

* https://github.com/kiali/kiali/issues/3435[Improve health configuration by annotations in the UI]
* https://github.com/kiali/kiali/issues/3332[Allow custom health configuration to be deployed as resources/yaml or annotations]
* https://github.com/kiali/kiali/issues/3371[provide some UI defaults within the Kiali CR]
* https://github.com/kiali/kiali/issues/3685[Add descriptions for newer Envoy response flags]
* https://github.com/kiali/kiali/issues/3681[Be able to drag-select and zoom a section of the graph ]
* https://github.com/kiali/kiali/issues/3659[Metrics page: don't show labels with a single value in legend]
* https://github.com/kiali/kiali/issues/3625[More info about response flags in traces]
* https://github.com/kiali/kiali/issues/3174[Review Istio Management Use Cases]
* https://github.com/kiali/kiali/issues/3488[Update Kiali.io and promote better Tasks scenarios using Kiali]

Fixes:

* https://github.com/kiali/kiali/issues/3494[Some HTTP request still pending and never load (Graph, Applications, Workloads)]
* https://github.com/kiali/kiali/issues/3684[(regression) Graph Replay broken]
* https://github.com/kiali/kiali/issues/3683[Graph Tour breaking graph]
* https://github.com/kiali/kiali/issues/3667[Kiali deployed using customized full name with kiali-server helm chart uses wrong role name]
* https://github.com/kiali/kiali/issues/3643[kiali ui failing to allow login after a session is externally deleted]
* https://github.com/kiali/kiali/issues/3649[Fix multiple fetch problem on node double-click]
* https://github.com/kiali/kiali/issues/3605[Additional Istiod Pod Causes Unhealthy Pod Sync Status For Kiali]
* https://github.com/kiali/kiali/issues/3642[Gap between rate info collected in graph versus health]
* https://github.com/kiali/kiali/issues/3595[openshift logout results in error message in log]
* https://github.com/kiali/kiali/issues/3650[Metrics page: segregate peer by namespace]
* https://github.com/kiali/kiali/issues/3624[Several links from graph are broken]
* https://github.com/kiali/kiali/issues/3644[operation node graph is missing the operation node (regression)]
* https://github.com/kiali/kiali/issues/3562[Kiali 1.28.1: Bulb Bugs]
* https://github.com/kiali/kiali/issues/3623[Namespace boxes needs a different internal layout]
* https://github.com/kiali/kiali/issues/3637[hide config.IstioConfigMapName]
* https://github.com/kiali/kiali/issues/3634[Istio "config_map_name" not used]
* https://github.com/kiali/kiali/issues/3617[helm charts are created with the wrong appVersion]
* https://github.com/kiali/kiali/issues/3615[GetPodProxyStatus Error + No Data + Server Hangs]

== 1.29.0
Sprint Release: January 22nd, 2021

Features:

* https://github.com/kiali/kiali/issues/3592[(multi-cluster) Initial support]
* https://github.com/kiali/kiali/issues/2699[Remove graph's "Node Names" display option]
* https://github.com/kiali/kiali/issues/3361[Improve trace navigation in graph]
* https://github.com/kiali/kiali/issues/3533[Kiali operator support HPA]
* https://github.com/kiali/kiali/issues/3502[Migrate Travis CI to Github Actions]
* https://github.com/kiali/kiali/issues/3519[Graph should make show 'idle' edges a display option (default = false)]
* https://github.com/kiali/kiali-ui/pull/2051[Add filters into Envoy dump tables]

Fixes:

* https://github.com/kiali/kiali/issues/3587[Incorrect workloadSelector spec key in ServiceEntry model prevents displaying workloadSelector in Kiali UI]
* https://github.com/kiali/kiali/issues/3532[Sorry, there was a problem. Try a refresh or navigate to a different page. - with Argo Rollouts]
* https://github.com/kiali/kiali/issues/3272[Overview view should be "bookmarkable"]
* https://github.com/kiali/kiali/issues/3589[Service Trace are showing error in Jaeger ]
* https://github.com/kiali/kiali/issues/3598[GeIstioConfigPermissions - missing "t" in function name]
* https://github.com/kiali/kiali/issues/3591[Error authenticating (getting business layer) - authInfo missing from the request context]
* https://github.com/kiali/kiali/issues/3575[Fix RBAC minimum privileges docs]
* https://github.com/kiali/kiali/issues/3483[Cannot inject a fault to a service which is served by a pod with no version: label]
* https://github.com/kiali/kiali/issues/3537[Review client-go version used in Kiali]
* https://github.com/kiali/kiali/issues/3493[Idle status taking precedence over degraded health status]
* https://github.com/kiali/kiali/issues/3539[Proxy status not reporting when cache is disabled]
* https://github.com/kiali/kiali/issues/3543[All apps are degraded due to unsynced proxies when using different istio labels than app/version]
* https://github.com/kiali/kiali/issues/3505[Istio Analysis lost the severity on their messages, kiali is broken]
* https://github.com/kiali/kiali/issues/3518[race condition in new http_util.CreateTransport function]
* https://github.com/kiali/kiali/issues/3572[Trace in service-type graph is incomplete]
* https://github.com/kiali/kiali/issues/3552[Kiali show service entries in another namespaces]
* https://github.com/kiali/kiali/issues/3305["View in Grafana" link can be wrong]

== 1.28.0
Sprint Release: December 11st, 2020

Features:

* https://github.com/kiali/kiali/issues/3451[Ability to set https_proxy on Kiali instances spawned by the operator]
* https://github.com/kiali/kiali/issues/2630[Allow to edit Iter8 generated VS/DR Istio config from Kiali Wizard]
* https://github.com/kiali/kiali/issues/3487[Show heatmaps in trace tooltips]
* https://github.com/kiali/kiali/issues/3436[Add timeouts on Prometheus calls]
* https://github.com/kiali/kiali/issues/3460[multi-arch builds for the operator]
* https://github.com/kiali/kiali/issues/3203[Envoy config dump]
* https://github.com/kiali/kiali/issues/3279[Consider showing traces comparisons with charts]
* https://github.com/kiali/kiali/issues/3476[Support Mirroring scenario in Wizards.]
* https://github.com/kiali/kiali/issues/3489[be able to enable profiler in operator]
* https://github.com/kiali/kiali/issues/3484[Qualify Kiali-ui to latest node.js LTS version (14)]
* https://github.com/kiali/kiali/issues/3327[Add support to TCP Shifting / Routing scenarios]
* https://github.com/kiali/kiali/issues/3467[Fix bypassed queries to kubernetes Services]
* https://github.com/kiali/kiali/issues/3471[Change kiali-bot to use merge commits for helm and operator repositories]
* https://github.com/kiali/kiali/issues/3406[Use client / server timeouts (potential leaks)]

Fixes:

* https://github.com/kiali/kiali/issues/3504[The logs tab in Kiali 1.26 produces an error at istio 1.8]
* https://github.com/kiali/kiali/issues/3515[Error while loading workloads from istio-system]
* https://github.com/kiali/kiali/issues/3477[Weird percentage in Graph edges]
* https://github.com/kiali/kiali/issues/3497[Service URL getting incorrect status code]
* https://github.com/kiali/kiali/issues/3503[Traces tab is always fetching last 10 minutes]
* https://github.com/kiali/kiali/issues/3461[Traces query failed from Graph]
* https://github.com/kiali/kiali/issues/3485[status field accessibleNamespaces in Kiali CR is not updated properly]
* https://github.com/kiali/kiali/issues/3482[(operator) disable dependent resource watching]
* https://github.com/kiali/kiali/issues/3465[Graph crash when selecting new namespaces]
* https://github.com/kiali/kiali/issues/3450[Last selected trace is kept selected in Tracing view]
* https://github.com/kiali/kiali/issues/3453[data race - istio status scenarios]

== 1.27.0
Sprint Release: November 20th, 2020

Features:

* https://github.com/kiali/kiali/issues/3437[Align List pages with Namespace selector logic on empty selection]
* https://github.com/kiali/kiali/issues/3420[Span rows: expandable mode]
* https://github.com/kiali/kiali/issues/3422[Consolidate k-charted into kiali repo]
* https://github.com/kiali/kiali/issues/3173[Kiali namespace filter "Select all" option]
* https://github.com/kiali/kiali/issues/3111[Add configuration option to specify Kiali's public port (OIDC support)]
* https://github.com/kiali/kiali/issues/3293[Use metrics-based comparison / trends for span's duration info]
* https://github.com/kiali/kiali/issues/3411[add common labels such as "app.kubernetes.io/part-of" to kiali deployment]
* https://github.com/kiali/kiali/issues/2893[(FEATURE) JSON based logging for day2 operations]
* https://github.com/kiali/kiali/issues/3084[Support external OIDC providers]
* https://github.com/kiali/kiali/issues/1399[Indicating in UI that a pod has been ejected in outlier detection situations]

Fixes:

* https://github.com/kiali/kiali/issues/3290[kiali.io developer API page doesn't react to clicks or search]
* https://github.com/kiali/kiali/issues/3350[Alignment issue with Custom TimeRange]
* https://github.com/kiali/kiali/issues/3449[Traffic tab crash for service and workload for error-rates project]
* https://github.com/kiali/kiali/issues/3433[need to create NetworkPolicy when deploying dev builds inside a Maistra environment]
* https://github.com/kiali/kiali/issues/3353[Prometheus not found in Istio Components status]
* https://github.com/kiali/kiali/issues/3265[Need of a warning(KIA0302 No matching workload found for gateway selector in this namespace)? ]
* https://github.com/kiali/kiali/issues/3424[kiali-ossm golden copy has wrong link in description]
* https://github.com/kiali/kiali/issues/3410[Unable to authenticate with OIDC and Google OpenID connect]
* https://github.com/kiali/kiali/issues/3419[Error in Run kiali with config file]
* https://github.com/kiali/kiali/issues/2906[Warning console Add key in list item in IstioStatusList]
* https://github.com/kiali/kiali/issues/3389[Remove label filter by clicking on the label is not working]
* https://github.com/kiali/kiali/issues/2905[Connections to the OpenShift API are kept open and accumulating until no more connections can be established, turning Kiali inaccessible]
* https://github.com/kiali/kiali/issues/3373[health_config is not propagated from Kiali CR to configmap]
* https://github.com/kiali/kiali/issues/3388[Workload Logs tab crash for istio-system]

== 1.26.0
Sprint Release: October 30th, 2020

Features:

* https://github.com/kiali/kiali/issues/3363[Enable/Disable Mutual TLS by Namespace granularity ]
* https://github.com/kiali/kiali/issues/3067[Add Date/time (start/stop) filtering for logs tab]
* https://github.com/kiali/kiali/issues/2232[Improve visualization, filtering and searching in Kiali Logs tab]
* https://github.com/kiali/kiali/issues/3340[Remove mixer/telemetry-v1 use of _app and _version metric attributes]
* https://github.com/kiali/kiali/issues/3341[Remove mixer config dependencies]
* https://github.com/kiali/kiali/issues/3155[Add fullscreen zooming beyond browser chrome]
* https://github.com/kiali/kiali/issues/3338[(mixer removal) remove use of  istio_request_duration_seconds]
* https://github.com/kiali/kiali/issues/3303[Support "duration" parameter for pod logs API]
* https://github.com/kiali/kiali/issues/3315[Short term caching of Prometheus queries in Health Service]
* https://github.com/kiali/kiali/issues/2235[Improve health check of Istio subcomponents]
* https://github.com/kiali/kiali/issues/3324[(operator) provide a hidden setting in Kiali CR to turn off operator reconciliation]
* https://github.com/kiali/kiali/issues/3291[add molecule tests to test as much of the API as possible]
* https://github.com/kiali/kiali/issues/3084[support external OIDC providers]

Fixes:

* https://github.com/kiali/kiali/issues/3378[Error in Render Kiali UI with threescale]
* https://github.com/kiali/kiali/issues/3348[Overview Filter align has been modified]
* https://github.com/kiali/kiali/issues/3333[Make "Create Traffic Policies" viewing configurable]
* https://github.com/kiali/kiali/issues/3359[Wrong timestamp used for traces query in graph]
* https://github.com/kiali/kiali/issues/3336[DR - No labels on subset - Error in list but not in overview]
* https://github.com/kiali/kiali/issues/3307[Wrong z-level in the refresh controller in metrics tab]
* https://github.com/kiali/kiali/issues/3334[CSS issue in overview toolbar (minor)]
* https://github.com/kiali/kiali/issues/3330[add "versions" list to MonitoringDashboard CRD]
* https://github.com/kiali/kiali/issues/3325[(operator) perform truthy checks on view_only_mode and other bool settings]
* https://github.com/kiali/kiali/issues/3323[(operator) operator infinite reconciliation loop when accessible_namespaces is **]
* https://github.com/kiali/kiali/issues/3313[Session not cleared correctly on log-out]
* https://github.com/kiali/kiali/issues/3320[Kiali reported missing sidecar but did not]
* https://github.com/kiali/kiali/issues/3306[Wrong workload for kiali-traffic-generator in Traces Spans]
* https://github.com/kiali/kiali/issues/3318[Proxy-status reporting out of sync for all pods]
* https://github.com/kiali/kiali/issues/3271[VS icon missing in Kiali-UI for application graph of a VS with TLS routes.]

== 1.25.0
Sprint Release: October 9th, 2020

Features:

* https://github.com/kiali/kiali/issues/3252[Graph scalability: health filtering]
* https://github.com/kiali/kiali/issues/2633[Enhance Iter8 Experiment details page]
* https://github.com/kiali/kiali/issues/1615[Mesh status view, proxy-status health]
* https://github.com/kiali/kiali/issues/3273[Remove the bottom white padding from overview, list and details]
* https://github.com/kiali/kiali/issues/2939[Show principals in topology graph]
* https://github.com/kiali/kiali/issues/3278[Trace details page, spans table: add filtering toolbar]
* https://github.com/kiali/kiali/issues/3297[FAQ: tell users if they use a PSP they need to set readOnlyRootFilesystem: false]
* https://github.com/kiali/kiali/issues/3264[Add log entry support to the server-side logging API]
* https://github.com/kiali/kiali/issues/3285[operator should not install dashboard resources if the enabled flag is false]
* https://github.com/kiali/kiali/issues/3095[Tracing page reworking]
* https://github.com/kiali/kiali/issues/3176[Please allow traffic to be sortable in the traffic tab]
* https://github.com/kiali/kiali/issues/1535[Indentation is looking confusing in traffic page]
* https://github.com/kiali/kiali/issues/3163[Overview and Traffic tabs should enable auto-refresh in App/Workload/Service details pages]
* https://github.com/kiali/kiali/issues/3258[(operator) Create two new golden copies of community and upstream OLM CSV metadata for next release]
* https://github.com/kiali/kiali/issues/3259[update molecule tests to use more accurate config]
* https://github.com/kiali/kiali/issues/3235[Add a complex A/B testing scenario under demos]

Fixes:

* https://github.com/kiali/kiali/issues/3274[Invalid dates in Iter8 Overview Card]
* https://github.com/kiali/kiali/issues/3219[KIA0301 validation rule does not work for multiple ingress-gateways]
* https://github.com/kiali/kiali/issues/3299[When no Traces - Empty Traces details tabs in bottom]
* https://github.com/kiali/kiali/issues/3247[Traces page: improve behaviour with large traces]
* https://github.com/kiali/kiali/issues/3280[Align VirtualService Hosts with Gateway when Add Gateway is used in Kiali Wizard]
* https://github.com/kiali/kiali/issues/3288[Workload pod status doesn't show details]
* https://github.com/kiali/kiali/issues/3284[Broken navigation in tabs, both Istio and Custom dashboards]
* https://github.com/kiali/kiali/issues/3267[Clean yarn warnings]
* https://github.com/kiali/kiali/issues/3257[Remove ServiceMeshPolicies and ServiceRbacConfig usage]
* https://github.com/kiali/kiali/issues/3261[where does component_status belong?]
* https://github.com/kiali/kiali/issues/3237[openid molecule test fails]
* https://github.com/kiali/kiali/issues/2695[Create New AuthPolicies - allow_all and deny_all are not Istio recommended ones]
* https://github.com/kiali/kiali/issues/3227[(operator) do not have the operator look for a specifically named role]
* https://github.com/kiali/kiali/issues/3240[Delete action has a wrong z-index]
* https://github.com/kiali/kiali/issues/3231[(operator) make sure operator sorts accessible_namespaces]
* https://github.com/kiali/kiali/issues/3230[Breadcrumb - Istio Config Type - click does not apply filter in lists]
* https://github.com/kiali/kiali/issues/3234[Pods table needs to be adjusted when empty]
* https://github.com/kiali/kiali/issues/3233[Error fetching spans on idle workloads]

== 1.24.0
Sprint Release: September 18th, 2020

Kiali 1.24 patch releases support RH OSSM product, community users will likely prefer 1.25+.

Features:

* https://github.com/kiali/kiali/issues/3088[OIDC - Add support for "Authentication code" flow]
* https://github.com/kiali/kiali/issues/1452[DR Overview - Add Status Info]
* https://github.com/kiali/kiali/issues/3217[Adjust Actions Menu]
* https://github.com/kiali/kiali/issues/3194[Add support for requests with no response]
* https://github.com/kiali/kiali/issues/3213[(operator) need v1.24 playbook directory in operator]
* https://github.com/kiali/kiali/issues/2924[Wizard to create AuthorizationPolicy based on the graph of the current traffic]
* https://github.com/kiali/kiali/issues/3164[On Kiali.io video section add horizontal scrolling and titles to videos]
* https://github.com/kiali/kiali/issues/2842[In-graph tracing: link from traces details]
* https://github.com/kiali/kiali/issues/3197[Enhance Health tooltip info]
* https://github.com/kiali/kiali/issues/3175[(Tracing+Metrics) Filter spans for service/workloads]
* https://github.com/kiali/kiali/issues/2234[Improve health calculation of workloads]
* https://github.com/kiali/kiali/issues/3191[ Support "Circuit Breaker" scenario in Wizards]
* https://github.com/kiali/kiali/issues/3158[Improve the zoom out behavior when graph is refreshing]
* https://github.com/kiali/kiali/issues/3183[Support "Request Timeout" scenario in Wizards]
* https://github.com/kiali/kiali/issues/3192[Show propagation status for Istio Objects into details page]
* https://github.com/kiali/kiali/issues/2236[Enable Kiali to support new CRD 'status' field for Validations]
* https://github.com/kiali/kiali/issues/1424[Configurable thresholds for error rates]
* https://github.com/kiali/kiali/issues/3178[Revisit "Suspend Traffic" into a better "Fault Injection" scenario.]
* https://github.com/kiali/kiali/issues/2250[Integrate galley checks into kiali yaml editor]
* https://github.com/kiali/kiali/issues/3071[(Tracing) Tracing tab in Service page]
* https://github.com/kiali/kiali/issues/3167[review operator playbooks to confirm `until` loops do not expect template re-evaluation]
* https://github.com/kiali/kiali/issues/3165[Graph find/hide expressions should be more flexible]
* https://github.com/kiali/kiali/issues/3161[Rethink Overview Tab in IstioConfig details in favor of side cards]
* https://github.com/kiali/kiali/issues/3015[Better link Istio configuration under Workload and Service details.]

Fixes:

* https://github.com/kiali/kiali/issues/3181[istio_status_enabled not working in 1.23.0]
* https://github.com/kiali/kiali/issues/3171[Traces view: sometimes not easy to click on traces]
* https://github.com/kiali/kiali/issues/3199[Broken navigation within details page tabs]
* https://github.com/kiali/kiali/issues/3202[Configurable Tresholds - 0% is shown in Failure objects]
* https://github.com/kiali/kiali/issues/3198[Links (sort of) broken when navigating within details page tabs]
* https://github.com/kiali/kiali/issues/3172[latest kiali.io docs are still 1.22 when they should be 1.23]
* https://github.com/kiali/kiali/issues/3110[travis produced a test-race failure]

== 1.23.0
Sprint Release: August 28th, 2020

Features:

* https://github.com/kiali/kiali/issues/2771[Improve documentation for the reduced permissions case]
* https://github.com/kiali/kiali/issues/3042[Kiali not working with OIDC for 1.19 ]
* https://github.com/kiali/kiali/issues/1411[Command completion on Graph Find/Hide]
* https://github.com/kiali/kiali/issues/1342[Make nodes draggable]
* https://github.com/kiali/kiali/issues/3147[Update Kiali Cache with Istio resources used in validations]
* https://github.com/kiali/kiali/issues/3150[Expose login error from the back-end]
* https://github.com/kiali/kiali/issues/3124[Enable/Disable Auto Injection - Close the action and show notification]
* https://github.com/kiali/kiali/issues/2530[need FAQ on how to query prometheus to see telemetry]
* https://github.com/kiali/kiali/issues/3017[remove login and ldap auth strategy]
* https://github.com/kiali/kiali/issues/3117[Add a 'Getting started videos' section to Kiali.io]
* https://github.com/kiali/kiali/issues/3101[Change Welcome screen from "Service Mesh Observability" to "Service Mesh Management for Istio"]
* https://github.com/kiali/kiali/issues/1471[VS/DR can share same host in some cases]
* https://github.com/kiali/kiali/issues/3093[Jenkins should release the helm charts]

Fixes:

* https://github.com/kiali/kiali/issues/3156[Filter by Label - textbox not emptied]
* https://github.com/kiali/kiali/issues/3011[Refactor refresh controls in Log tab]
* https://github.com/kiali/kiali/issues/3103[oidc redirect to `/kiali` always redirects to `/kiali/` without processing the request]
* https://github.com/kiali/kiali/issues/3139[Kiali access for developer in their Namespace(s) only - Kiali throws errors when checking the Istio deployment status.]
* https://github.com/kiali/kiali/issues/3135[Possible shortcoming in KIALI-SECURITY-001 detection script]
* https://github.com/kiali/kiali/issues/3133[Address refresh inconsistency on Workload details]
* https://github.com/kiali/kiali/issues/3125[When namespace contains 'istio-injection=disabled' label, Kiali recognizes that as Enabled]
* https://github.com/kiali/kiali/issues/3112[k delete -f samples/addons - error deleting dashboards]
* https://github.com/kiali/kiali/issues/3119[Namespace Enable/Disable Auto Injection - Fails on OCP cluster]
* https://github.com/kiali/kiali/issues/2960[Breadcrumb - 3scale "Adapter" and "Template" names are not shown]
* https://github.com/kiali/kiali/issues/3050[Kiali.io 'Older Releases' ordering is Lexical not numeric]

== 1.22
Kiali 1.22 is installed as an addon with:

* Istio 1.7.0+

=== 1.22.1
Sprint Release: August 7th, 2020

Features:

* https://github.com/kiali/kiali/issues/2131[When using Openshift for AUTH_STRATEGY, any path on the URL is lost after sign in]
* https://github.com/kiali/kiali/issues/3052[Istio 1.7 issues]
* https://github.com/kiali/kiali/issues/3094[update kiali.io with information about the new helm charts]
* https://github.com/kiali/kiali/issues/1374[Matching Routing Wizard: Combine weights in routes]
* https://github.com/kiali/kiali/issues/2543[Support RequestAuthentication resources]
* https://github.com/kiali/kiali/issues/2896[be able to turn on/off auto-injection of sidecars]
* https://github.com/kiali/kiali/issues/3010[In-graph tracing: show trace details]
* https://github.com/kiali/kiali/issues/3086[helm charts moved - update dev env and jenkins]
* https://github.com/kiali/kiali/issues/3051[Clean up kiali.io]
* https://github.com/kiali/kiali/issues/3047[(K-charted / iter8) Make labels configurable for single-selection]
* https://github.com/kiali/kiali/issues/3077[(K-charted / iter8) Hide x-axis tick labels]
* https://github.com/kiali/kiali/issues/2799[Make Kiali community calendar visible in our website and github readme]
* https://github.com/kiali/kiali/issues/2973[Properly handle invalid regular expression in workload log querying]
* https://github.com/kiali/kiali/issues/3074[Popup message in AlertCenter for Error conditions only]
* https://github.com/kiali/kiali/issues/3069[do not hardcode the "kiali-" prefix of the route url and oauthcilent name]
* https://github.com/kiali/kiali/issues/3066[Create a simple kiali helm installer]
* https://github.com/kiali/kiali/issues/2227[Config validation for Istio Security objects]
* https://github.com/kiali/kiali/issues/2231[Support creation of Istio Security objects from Kiali]
* https://github.com/kiali/kiali/issues/1523[Add mTLS documentation on features page]
* https://github.com/kiali/kiali/issues/3054[Update kiali.io with recent screenshots and videos]
* https://github.com/kiali/kiali/issues/195[add helm chart to kubernetes/charts]
* https://github.com/kiali/kiali/issues/2691[Add Logging Fullscreen option]
* https://github.com/kiali/kiali/issues/3023[(K-charted / iter8) Default labels grouping]
* https://github.com/kiali/kiali/issues/3022[(K-charted / iter8) show timeless series charts ordered by label]
* https://github.com/kiali/kiali/issues/1381[Routing wizard should for mTLS also set up a policy object]

Fixes:

* https://github.com/kiali/kiali/issues/3105[getLatestKialiOperator script failure]
* https://github.com/kiali/kiali/issues/3018[Overview tiles sometimes not aligned(bottom)]
* https://github.com/kiali/kiali/issues/3100[In-graph tracing, some style issues]
* https://github.com/kiali/kiali/issues/2964[Kiali Graph view renders duplicate ServiceEntries when multiple namespaces are selected]
* https://github.com/kiali/kiali/issues/3080[Application tabs selection broken with Traces + Dashboards]
* https://github.com/kiali/kiali/issues/3072[Graph Find/Hide minor usability issues]
* https://github.com/kiali/kiali/issues/3082[Overview CSS issue between Developer vs Release mode]
* https://github.com/kiali/kiali/issues/3065[Istio Config looks incorrect in Service List]
* https://github.com/kiali/kiali/issues/3055[(Istio 1.7) Missing custom dashboards]
* https://github.com/kiali/kiali/issues/3045[Traces are being searched for by service name but apparently it's the app label that actually matters]
* https://github.com/kiali/kiali/issues/3001[KIA0104 error severity]
* https://github.com/kiali/kiali/issues/3027[(Istio 1.7) Istio sub-component health: adjust names to new addons system]
* https://github.com/kiali/kiali/issues/2916[Istio health masthead: support addon custom installation]
* https://github.com/kiali/kiali/issues/3053[(Istio 1.7) Missing some response time edge labels]
* https://github.com/kiali/kiali/issues/2982[Renamed k8s services are persisted within the Graph UI]
* https://github.com/kiali/kiali/issues/3032[Istio 1.7 testing: Wrong Istio version in About]

=== 1.22.0
_not officially released_

== 1.21.0
Sprint Release: July 17th, 2020

Features:

* https://github.com/kiali/kiali/issues/2995[need an FAQ to explain how to get a token for token auth strategy]
* https://github.com/kiali/kiali/issues/2181[Reorganize documentation for kiali.io]
* https://github.com/kiali/kiali/issues/2989[be able to include/exclude monitoring dashboard resources that get created for you]
* https://github.com/kiali/kiali/issues/2854[Add request classification information to graph]
* https://github.com/kiali/kiali/issues/2856[Design: request classification information in graph]
* https://github.com/kiali/kiali/issues/2969[(kiali.io) Add Feature: Graph support for request classification (operation nodes)]
* https://github.com/kiali/kiali/issues/2984[molecule tests should grab server logs on failures]
* https://github.com/kiali/kiali/issues/2251[kiali.io - Quick install page]
* https://github.com/kiali/kiali/issues/2908[graph gen: request classification information in graph]
* https://github.com/kiali/kiali/issues/2840[In-graph tracing: show list of traces for service]
* https://github.com/kiali/kiali/issues/2892[Add Regex filtering to Show/hide workoad logging]
* https://github.com/kiali/kiali/issues/2970[Fetch single trace endpoint doesn't need service/namespace]
* https://github.com/kiali/kiali/issues/2937[(downstream) Run Kiali as a non-root regular user]
* https://github.com/kiali/kiali/issues/2933[Invalid OIDC "/authorize" request due to missing state param]
* https://github.com/kiali/kiali/issues/2283[Istio upstream: Adding AuthorizationPolicies analyzers]
* https://github.com/kiali/kiali/issues/2917[Move to the new OpenShift serving-certificate interface]
* https://github.com/kiali/kiali/issues/2909[Replace Glide with GoModules]

Fixes:

* https://github.com/kiali/kiali/issues/2954[OpenID authentication strategy should not require "expires_in" in the callback]
* https://github.com/kiali/kiali/issues/2994[FAQ links are all broken]
* https://github.com/kiali/kiali/issues/2975[OAuthClient is a clustered resource - do not specify namespace]
* https://github.com/kiali/kiali/issues/2977[non-amd Travis builds need envsubst explicitly installed]
* https://github.com/kiali/kiali/issues/1826[Rendering Problems on Graph with Big Meshes]
* https://github.com/kiali/kiali/issues/2946[In kiosk mode the main header should not be shown]
* https://github.com/kiali/kiali/issues/2902[developer API link is broken]
* https://github.com/kiali/kiali/issues/2920[Label operation - Refresh resets the value]

== 1.20.0
Sprint Release: June 26th, 2020

Features:

* https://github.com/kiali/kiali/issues/2934[K-charted: move to eslint]
* https://github.com/kiali/kiali/issues/2595[FAQ Entry for token authentication]
* https://github.com/kiali/kiali/issues/2614[Outbound Metrics Tab looks strange]
* https://github.com/kiali/kiali/issues/2790[Navigation to other detail pages using Graph Overview (mini-graph)]
* https://github.com/kiali/kiali/issues/2891[Remove unnecessary "istio namespace" prom queries in graph generation]
* https://github.com/kiali/kiali/issues/2785[(Maintenance) Filters "title" field should only be used for display, not logic]
* https://github.com/kiali/kiali/issues/2882[molecule test for openid]
* https://github.com/kiali/kiali/issues/2831[Add Show/highlight to Logging tab]
* https://github.com/kiali/kiali/issues/2279[Update Kiali-ui libraries]
* https://github.com/kiali/kiali/issues/2862[Deprecate login strategy for authentication]
* https://github.com/kiali/kiali/issues/2863[Deprecate LDAP strategy for authentication]
* https://github.com/kiali/kiali/issues/2864[Documentation for the OpenID login strategy]

Fixes:

* https://github.com/kiali/kiali/issues/2942[operator needs to clean up roles when deployment.namespace is default location]
* https://github.com/kiali/kiali/issues/2925[OpenId authorization with Auth0]
* https://github.com/kiali/kiali/issues/2941[cluster roles/bindings do not have associated namespaces, clean up delete code that specifies namespaces]
* https://github.com/kiali/kiali/issues/2918[KIA1107 Subset not found - but it actually works]
* https://github.com/kiali/kiali/issues/2198[(RS/Correlation) Query-time aggregation for traces and/or spans]
* https://github.com/kiali/kiali/issues/2921[do not regenerate signing_key secret if we already created one]
* https://github.com/kiali/kiali/issues/2904[Click on namespace labels crashes]
* https://github.com/kiali/kiali/issues/2867[Idle status objects missing on Overview's Compact View]
* https://github.com/kiali/kiali/issues/2816[Workload logs issue when toggling orientation multiple times]
* https://github.com/kiali/kiali/issues/2829[Main graph json no longer in debug info]
* https://github.com/kiali/kiali/issues/2865[Fix legacy Adapter/Templates in Kiali]
* https://github.com/kiali/kiali/issues/2878[Hide Log lines - 2 issues there]

== 1.19.0
Sprint Release: June 5th, 2020

Features:

* https://github.com/kiali/kiali/issues/2233[Improve filtering capabilities of Overview and List pages]
* https://github.com/kiali/kiali/issues/2226[Review Kiali with Istio 1.6+]
* https://github.com/kiali/kiali/issues/2056[Support OAuth login (OpenID connect)]
* https://github.com/kiali/kiali/issues/2086[Add validations for PeerAuthentication Istio Object]
* https://github.com/kiali/kiali/issues/2849[get molecule tests to run on minikube]
* https://github.com/kiali/kiali/issues/995[Feature request: Envoy Filter]
* https://github.com/kiali/kiali/issues/2732[Improve separation of concerns in tracing / service details]
* https://github.com/kiali/kiali/issues/2828[openshift console links in masthead should be more specific]
* https://github.com/kiali/kiali/issues/2735[Labels filtering: click on labels to filter]
* https://github.com/kiali/kiali/issues/2734[Labels filtering: "all of" / "any of" switch]
* https://github.com/kiali/kiali/issues/2694[Create New AuthorizationPolicy - Couple of improvements]
* https://github.com/kiali/kiali/issues/2797[ Add PeerAuthentication and RequestAuthentication into Create Istio Config]
* https://github.com/kiali/kiali/issues/2778[Add Ability to Hide specific lines in the logs]
* https://github.com/kiali/kiali/issues/2689[Kiali's brand repositioning ]
* https://github.com/kiali/kiali/issues/2762[Creation fo New Istio config object is available with reduced privileges]
* https://github.com/kiali/kiali/issues/2520[Support to PeerAuthentication resource]

Fixes:

* https://github.com/kiali/kiali/issues/2761[(istio 1.6) pilot service is gone - make sure we do not rely on it]
* https://github.com/kiali/kiali/issues/2783[Deleted k8s services are persisted within the Graph UI]
* https://github.com/kiali/kiali/issues/2720[Traces duplication on tooltip]
* https://github.com/kiali/kiali/issues/2819[Namespace TLS status: enabled/disabled status shouldn't be used with Permissive PeerAuth]
* https://github.com/kiali/kiali/issues/2685[Message center 'Show Details' notification text extends beyond notification box]
* https://github.com/kiali/kiali/issues/2712[Link from traces to workload logs can be wrong]
* https://github.com/kiali/kiali/issues/2698[VirtualService Validation Errors For Partially-Qualified Gateway Names]
* https://github.com/kiali/kiali/issues/2765[Add ability to turn on/off specific log windows]
* https://github.com/kiali/kiali/issues/2812[Istio 1.5 - Can't access to Policy/MeshPolicy details page]
* https://github.com/kiali/kiali/issues/2787[in-graph security icons in mesh-wide mtls enabled: broken locks not shown in edges but shown in sidebar]
* https://github.com/kiali/kiali/issues/2679[Spinner doesn't spin]
* https://github.com/kiali/kiali/issues/2805[operator needs permission to avoid an error at startup]

Notes:

* With the introduction of the `openid` login option the following link:https://kiali.io/documentation/v1.19/installation-guide/#_login_options[login options]
are deprecated: `LDAP`, `login`.  They will be eligible for removal when Istio 1.5 goes out of support. Starting
in Kiali 1.19.0 the default login option has changed from `login` to `token`.

== 1.18
Kiali 1.18 is installed with:

* Istio 1.6.0+

=== 1.18.2
Fix Release: June 03, 2020

Fixes:

* https://github.com/kiali/kiali/pull/2853[Add EnvoyFilter,AttributeManifest,HttpApiSpec{Binding}]
* https://github.com/kiali/kiali/pull/2821[Strict and permissive modes can enable/disable TLS status at ns-level]
* https://github.com/kiali/kiali/pull/2814[Disabled Namespace validation: Expects PeerAuthn not to be STRICT]
* https://github.com/kiali/kiali/pull/2813[Allow Policies and MeshPolicies still be displayed into Istio]
* https://github.com/kiali/kiali-ui/pull/1787[Show broken locks into edges without mtls in mesh-wide mtls scenarios]
* https://github.com/kiali/kiali-ui/pull/1794[Adjust CSS align on overview list view]

=== 1.18.1
Sprint Release: May 15th, 2020

Features:

* https://github.com/kiali/kiali/issues/1497[Create RBAC entities with wizards]
* https://github.com/kiali/kiali/issues/2745[Allow running as non-root user with web root specified]
* https://github.com/kiali/kiali/issues/2750[Update Istio 1.6 types in Kiali UI mapping]
* https://github.com/kiali/kiali/issues/2744[Possible whitespace alignment issues on Details pages]
* https://github.com/kiali/kiali/issues/2518[Test Kiali with best-practice prometheus guide]
* https://github.com/kiali/kiali/issues/2728[Remove RBAC limitation from the token authentication]
* https://github.com/kiali/kiali/issues/2700[Add Horizontal/Veritical Layout for Workload Logging]
* https://github.com/kiali/kiali/issues/2748[Protect backend for networking and istioConfig API changes]
* https://github.com/kiali/kiali/issues/2717[Update documentation for dashboards - multiple metrics]
* https://github.com/kiali/kiali/issues/2716[Docs: rename "runtimes monitoring" to "custom dashboards"]
* https://github.com/kiali/kiali/issues/2652[jenkins needs to build the operator releases from the new git repo]
* https://github.com/kiali/kiali/issues/2667[Logging Tail Option]
* https://github.com/kiali/kiali/issues/2049[Namespaces overview should differentiate idle from failure apps]
* https://github.com/kiali/kiali/issues/2521[First (left) section title in entity details page needs some refinement]
* https://github.com/kiali/kiali/issues/2634[Enhance baseline/candidate fields in Iter8 list page]
* https://github.com/kiali/kiali/issues/1377[Check if Istio is deployed correctly in k8s]
* https://github.com/kiali/kiali/issues/2702[Change info log level while fetching spans ]
* https://github.com/kiali/kiali/issues/2221[Traces page: incremental refresh]
* https://github.com/kiali/kiali/issues/1778[MonitoringDashboards: allow to display several metrics per chart]

Fixes:

* https://github.com/kiali/kiali/issues/2792[version endpoint check causing operator to fail with  Service Mesh 1.1]
* https://github.com/kiali/kiali/issues/2602[travis should not report build status of forks]
* https://github.com/kiali/kiali/issues/2763[get kiali and kiali operator metrics exposed properly]
* https://github.com/kiali/kiali/issues/2779[kiali crashes due to go 1.14 - move to go 1.14.1]
* https://github.com/kiali/kiali/issues/2772[Overview page: Services show more items in Istio 1.6]
* https://github.com/kiali/kiali/issues/2773[Overview: Istio config validation inconsistency (Istio 1.6)]
* https://github.com/kiali/kiali/issues/2670[Labels in Apps list are randomly changed after refresh]
* https://github.com/kiali/kiali/issues/2559[Filters for different kind of labels are mixed up]
* https://github.com/kiali/kiali/issues/2754[istio 1.6: change to version endpoint]
* https://github.com/kiali/kiali/issues/2727[gracefully ignore missing Policy CRD]
* https://github.com/kiali/kiali/issues/2726[Kiali Wizards don't maintain existing Gateways on Update operation]
* https://github.com/kiali/kiali/issues/2706[Align styles in Health and Configuration Tooltips]
* https://github.com/kiali/kiali/issues/2721[Graph summary sparklines not rendering]
* https://github.com/kiali/kiali/issues/2705[Metrics page: spans overlay not updated with past time frames]
* https://github.com/kiali/kiali/issues/2711[Issue updating ConfigMap from Kiali Operator]
* https://github.com/kiali/kiali/issues/2648[Tabs below the fold on Services Details pages]
* https://github.com/kiali/kiali/issues/2635[CSS difference between dev (yarn start) and prod builds]
* https://github.com/kiali/kiali/issues/2616[Broken CSS styles in details pages]
* https://github.com/kiali/kiali/issues/2673[Graph kebab menu selection errors]
* https://github.com/kiali/kiali/issues/2693[Labels tooltip on overview displayed shifted for top right projects]
* https://github.com/kiali/kiali/issues/2623[Links to Grafana should allow base URL with params]

=== 1.18.0
_not officially released_


== 1.17.0
Sprint Release: April 24, 2020

Features:

* https://github.com/kiali/kiali/issues/2653[create new kiali/kiali-operator github repo]
* https://github.com/kiali/kiali/issues/2628[Add refresh control in list pages]
* https://github.com/kiali/kiali/issues/2620[Move graph type selection and graph tour icon to graph secondary masthead]
* https://github.com/kiali/kiali/issues/2615[Stop publishing Kiali to DockerHub]
* https://github.com/kiali/kiali/issues/2547[Show labels in Kiali Lists and Overview]
* https://github.com/kiali/kiali/issues/2203[Enhance logging UI to show multiple container logs in split screen]
* https://github.com/kiali/kiali/issues/2041[User Interface to apply authorization policy of Istio]

Fixes:

* https://github.com/kiali/kiali/issues/2686[Overview page - Tooltip without text when no labels found]
* https://github.com/kiali/kiali/issues/2681[Traces - View In Tracing link is broken]
* https://github.com/kiali/kiali/issues/2669[Kiali fails if Telemetry V1 is used with Istio 1.5+]
* https://github.com/kiali/kiali/issues/2656[Graph Hide can crash on graph refresh]
* https://github.com/kiali/kiali/issues/2650[Service list - Filter by Label fails to load]
* https://github.com/kiali/kiali/issues/2631[Sort by "details" in workload list]
* https://github.com/kiali/kiali/issues/2622[Graph fails to show up with "Failed ID gen"]


== 1.16.0
Sprint Release: April 03, 2020

Features:

* https://github.com/kiali/kiali/issues/2573[Move edge labels dropdown into display dropdown]
* https://github.com/kiali/kiali/issues/2570[GRPC status filter in charts]
* https://github.com/kiali/kiali/issues/2497[Show metrics to service entries in summary panel]
* https://github.com/kiali/kiali/issues/2197[Make Kiali working better with Kafka]
* https://github.com/kiali/kiali/issues/1541[Include Sidecar (resource, not the proxy) validations]
* https://github.com/kiali/kiali/issues/1511[Add new filter in list by label]

Fixes:

* https://github.com/kiali/kiali/issues/2549[Graph Error when enabling Response time edges]
* https://github.com/kiali/kiali/issues/2548[Missing ServiceEntries in Graph]
* https://github.com/kiali/kiali/issues/2533[Broken host name link in destination rule when host name has a wildcard '*' in a specific case]
* https://github.com/kiali/kiali/issues/2513[Security icon missing on Service Graph]
* https://github.com/kiali/kiali/issues/2483[In Graph Service View 200% traffic]

'''

== 1.15
Kiali 1.15 is installed with:

* Istio 1.4.7+
* Istio 1.5.1+

'''

=== 1.15.2
Fix Release: April 13, 2020

Fixes:

* https://github.com/kiali/kiali/issues/2622[Graph fails to show up with "Failed ID gen"]
* https://github.com/kiali/kiali/issues/2549[Graph Error when enabling Response time edges]
* https://github.com/kiali/kiali/issues/2548[Missing ServiceEntries in Graph]

'''

=== 1.15.1
Security Release: March 25, 2020


* https://kiali.io/news/security-bulletins/kiali-security-001/[Kiali-Security-001]

'''

=== 1.15.0
Sprint Release: March 17, 2020

* https://github.com/kiali/kiali/issues/976[Fixes edges for Kafka events]
* https://github.com/kiali/kiali/issues/2276[Support canonical_service fields in Istio 1.5+ telemetry]
* https://github.com/kiali/kiali/issues/1894[Validate against Telemetry v2 in Istio 1.5]
* https://github.com/kiali/kiali/issues/2081[Add validations for AuthorizationPolicy objects]
* https://github.com/kiali/kiali/issues/1383[Add a notification that object has been modified by someone else]

Known Issues:

* https://github.com/kiali/kiali/issues/2622[Graph fails to show up with "Failed ID gen"]
* https://github.com/kiali/kiali/issues/2549[Graph Error when enabling Response time edges]
* https://github.com/kiali/kiali/issues/2548[Missing ServiceEntries in Graph]

'''
